%define name toppler
%define version 1.0.3
%define release alt1

Name: %name
Version: %version
Release: %release

Group: Games/Arcade
Summary: A very unusual but highly enjoyable tower climbing game.
Url: http://toppler.sourceforge.net
License: GPL

Source0: %name-%version.tar.bz2
Source2: %name.16.png
Source3: %name.32.png
Source4: %name.48.png


# Automatically added by buildreq on Mon Oct 06 2003 (-bi)
BuildRequires: XFree86-libs aalib esound gcc-c++ libSDL-devel libSDL_mixer-devel libalsa libarts libaudiofile libogg libslang libsmpeg libstdc++-devel libvorbis zlib-devel

%description
An almost complete reimplementation of the old game
known as Tower Toppler or Nebulous. This game was
available at least for PC, Atari, C64 and now the
PC version is abandonware. But it is only a
DOS version and uses ugly CGA or EGA graphics.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
%configure --bindir=%_gamesbindir --datadir=%_gamesdatadir
%make_build

%install
%makeinstall bindir=%buildroot/%_gamesbindir datadir=%buildroot/%_gamesdatadir

mkdir -p %buildroot/%_menudir
cat <<EOF >%buildroot/%_menudir/%name
?package(%name):command="%_gamesbindir/%name -f" \
		  icon=%name.xpm \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Toppler" \
		  longtitle="A very unusual but highly enjoyable tower climbing game"
EOF
mkdir -p %buildroot/%_iconsdir %buildroot/%_miconsdir %buildroot/%_liconsdir
install -m 644 %SOURCE2 %buildroot/%_miconsdir/%name.xpm
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.xpm
install -m 644 %SOURCE4 %buildroot/%_liconsdir/%name.xpm


%post
%update_menus

%postun
%clean_menus

%files
%doc README
%doc %_man6dir/*
%_gamesbindir/*
%_gamesdatadir/%name
%_menudir/*
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm

%changelog
* Fri Nov 21 2003 Sergey V Turchin <zerg at altlinux dot org> 1.0.3-alt1
- new version

* Mon Oct 06 2003 Sergey V Turchin <zerg at altlinux dot org> 1.0.2-alt2
- fix build

* Tue Jun 10 2003 Sergey V Turchin <zerg at altlinux dot org> 1.0.2-alt1
- new version

* Thu Apr 03 2003 Sergey V Turchin <zerg@altlinux.ru> 1.0.0-alt1
- new version

* Thu Jan 16 2003 Sergey V Turchin <zerg@altlinux.ru> 0.98.4-alt1
- new version

* Fri Nov 22 2002 Sergey V Turchin <zerg@altlinux.ru> 0.98.0-alt1
- new version

* Wed Oct 02 2002 Sergey V Turchin <zerg@altlinux.ru> 0.97.1-alt1
- new version
- build with gcc3.2

* Sat May 18 2002 Sergey V Turchin <zerg@altlinux.ru> 0.96-alt2
- rebuild with new alsa

* Thu Feb 21 2002 Sergey V Turchin <zerg@altlinux.ru> 0.96-alt1
- new version

* Tue Jan 29 2002 Sergey V Turchin <zerg@altlinux.ru> 0.73-alt1
- new version

* Mon Jan 21 2002 Sergey V Turchin <zerg@altlinux.ru> 0.71-alt1
- initial spec
